/**
 * Copyright 2010 Tobias Sarnowski
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * (c) 2010 Tobias Sarnowski
 * All rights reserved.
 */
package org.onsteroids.eve.api.connector;

import com.eveonline.api.ApiResult;
import org.w3c.dom.Node;

/**
 * @author Tobias Sarnowski
 */
public interface XmlApiResult extends ApiResult {

	/**
	 * @return returns the &lt;result&gt; node of the api response
	 */
	Node getResult();
        
    /**
     * getTimeDifference = serverTime - localTime
     *
     * @return the time difference from server to local in milliseconds
     */
    long getTimeDifference();

}
