/**
 * Copyright 2010 Tobias Sarnowski
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.onsteroids.eve.api;

import com.eveonline.api.exceptions.ApiException;
import com.eveonline.api.server.ServerStatus;
import com.eveonline.api.server.ServerStatusApi;
import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author Tobias Sarnowski
 */
public class JavaSETest {
    private static final Logger LOG = LoggerFactory.getLogger(JavaSETest.class);

    @Test
    public void useWeld() throws ApiException {
        Api api = WeldApi.createApi();

        ServerStatusApi serverStatusApi = api.get(ServerStatusApi.class);
        ServerStatus serverStatus = serverStatusApi.getServerStatus();

        LOG.info("ServerStatus.isServerOpen: {}", serverStatus.isServerOpen());

        WeldApi.shutdownApi();
    }
}